Skip to main content
GET
/
smart-contracts
get verified smart contracts
curl --request GET \
  --url https://eth.blockscout.com/api/v2/smart-contracts
import requests

url = "https://eth.blockscout.com/api/v2/smart-contracts"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://eth.blockscout.com/api/v2/smart-contracts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "coin_balance": "10000",
      "compiler_version": "v0.5.10+commit.5a6ea5b1",
      "language": "vyper | yul | solidity",
      "has_constructor_args": true,
      "optimization_enabled": true,
      "verified_at": "2022-03-05T11:40:29.087000Z",
      "address_hash": {
        "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
        "implementation_name": "implementationName",
        "name": "contractName",
        "is_contract": true,
        "private_tags": [
          {
            "address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
            "display_name": "name to show",
            "label": "label"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "name to show",
            "label": "label"
          }
        ],
        "public_tags": [
          {
            "address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad",
            "display_name": "name to show",
            "label": "label"
          }
        ],
        "is_verified": true,
        "ens_domain_name": "domain.eth",
        "metadata": {
          "slug": "tag_slug",
          "name": "Tag name",
          "tagType": "name",
          "ordinal": 0,
          "meta": {}
        }
      },
      "transactions_count": 123,
      "market_cap": 1000000000.0001
    }
  ],
  "next_page_params": {
    "items_count": 50,
    "smart_contract_id": 46
  }
}

Query Parameters

q
string
Example:

"proxy"

filter
string
Example:

"vyper | solidity | yul"

Response

smart contract

items
object[]
required
next_page_params
object
required
Example:
{
  "items_count": 50,
  "smart_contract_id": 46
}